=== debian/changelog ===
dwindows (3.3-1) unstable; urgency=low

  * Fixed an API inconsistency in dw_notebook_page_destroy/set().
    The page ID had been unsigned int when it should be unsigned long.
    On some platforms apps compiled for versions prior to 3.3 may
    malfunction when calling these API calls, so recompile with 3.3.
  * Added tree widget/control support for iOS and Android.
  * Removed the lib and dll directories previously used on Windows and OS/2.
  * Added DW_FEATURE_CONTAINER_MODE on Mobile platforms: iOS and Android.
    DW_CONTAINER_MODE_DEFAULT: Minimal container; icon and text only.
    DW_CONTAINER_MODE_EXTRA: Extra columns displayed on a second line.
    DW_CONTAINER_MODE_MULTI: A separate clickable line for each column.
  * Added return values to several functions previously returning void.
    Previous code should just be able to ignore the new return values.
    Currently affected: dw_window_set_bitmap(_from_data)
  * Added C++ language bindings in dw.hpp and an example C++ test
    application in the form of dwtestoo.cpp, similar to godwindows.
  * Added variadic versions of dw_debug() and dw_messagebox().
    This is how the standard library does it so we can call the new
    va_list versions from C++: dw_vdebug() and dw_vmessagebox().
  * Added dw_pixmap_get_height() and dw_pixmap_get_width() APIs to
    replace the DW_PIXMAP_HEIGHT() and DW_PIXMAP_WIDTH() macros.
    This allows non-C bindings to call them directly.

 -- Brian Smith <brian@dbsoft.org>  Fri, 6 Jan 2023 08:00:00 +1000

dwindows (3.2-1) unstable; urgency=low

  * Added support for initial beta support for GTK 4.  --with-gtk4 is now available.
  * Added support for Wayland on both GTK 3 and GTK 4.
  * Added DW_FEATURE_WINDOW_PLACEMENT, DW_FEATURE_TREE and DW_FEATURE_TASKBAR.
  * Added dw_render_redraw() function to trigger a DW_SIGNAL_EXPOSE event on render
    widgets allowing drawing to happen in the callback.
  * Added new function dw_window_compare() to check if two window handles
    reference the same object.
  * Added support for dw_window_set_font() with a NULL font parameter.
    This resets the font used on the widget to the default font.
  * Added a new constant DW_SIZE_AUTO to pass to box packing functions.
  * Added a new constant DW_DIR_SEPARATOR which is char that defines
    the path directory separator on the running platform.
  * Changed the entrypoint to be dwmain() instead of main().
    This allows special handling of the entrypoint on systems requiring it.
  * Changed dw_timer_connnect() and dw_timer_disconnect() to use HTIMER.
  * Changed dw_exec() with DW_EXEC_CON will now open the system (Gnome) terminal on Unix
    via GLib's G_APP_INFO_CREATE_NEEDS_TERMINAL instead of launching an xterm.
  * Fixed GTK warnings on GTK3 caused by using Pango style font syntax.
  * Fixed GTK3 leaks when setting fonts or colors on a widget repeatedly.
  * Fixed a bug in dw_listbox_set_text() on GTK3.

 -- Brian Smith <brian@dbsoft.org>  Thu, 6 Jan 2022 08:00:00 +1000

dwindows (3.1-1) unstable; urgency=low

  * Added notification APIs: dw_notification_new() dw_notification_send() dw_app_id_set()
    Unix requires a desktop file link with the application ID used in dw_app_id_set().
  * Added webkit2gtk support and removed dead gtkmozembed and libgtkhtml2 support on Unix.
  * Added embedded HTML javascript support on Mac, Windows and Unix with webkit(2)gtk. 
    Added function dw_html_javascript_run() to execute javascript code.
    Added DW_SIGNAL_HTML_RESULT signal for getting the results from javascript.
    DW_SIGNAL_HTML_RESULT requires webkit2gtk on Unix.
  * Added DW_SIGNAL_HTML_CHANGED signal handler for getting the status of embedded HTML.
    Status can be: DW_HTML_CHANGE_STARTED/REDIRECT/LOADING/COMPLETE
  * Added dw_mle_set_auto_complete() to enable completion, only available on Mac.
  * Changed to using GTK3 by default instead of GTK2.  --with-gtk2 is now available.
  * Added dw_feature_set/get() to test if certain features are available on the current
    library and operating system combination at runtime or enabled/disable features.
  * Added support for GResource embedded images on GTK2/3 with GLib 2.32. The old 
    resouce system is still available via configure --with-deprecated if needed.
  * Fixed many small bugs, too numerous to list here.

 -- Brian Smith <brian@dbsoft.org>  Wed, 6 Jan 2021 08:00:00 +1000
 

dwindows (3.0-1) unstable; urgency=low

  * Added package configuration (pkg-config) support on Unix.
  * Changed DW_CLR_DEFAULT behavior to improve consistency.
  * Added dw_signal_connect_data() which features a callback on signal disconnection.
  * Improvements for building on 64bit Windows with MinGW.
    Window styles, HTML and Toolbar widgets are now supported.
  * Added dw_shutdown() for use when shutting down Dynamic Windows but not quite ready
    to exit immediately. (Functions like dw_exit() without the exit())
  * Separated the container "title" (string) and "data" (pointer) into separate spaces.
    The "classic" functions which take (char *) parameters now maintain their
    own string memory backing so you no longer need to keep the data available.
  * Removed dw_container_set_row_data() and dw_container_change_row_data() macros.
  * Added dw_container_set_row_data() and dw_container_change_row_data() functions.
  * Removed the "_dw_textcomp" container data flag, dw_container_cursor() and
    dw_container_delete_row() which take (char *) now function in text compare mode.
  * Added dw_container_cursor_by_data() and dw_container_delete_row_by_data() 
    functions which do the same things except in pointer comparison mode.
  * Added DW_CR_RETDATA flag to dw_container_query_*() functions to return the
    data pointer instead of the string pointer, this may change in the future.
  * Added exported internal functions _dw_init_thread() and _dw_deinit_thread()
    for language bindings to setup/cleanup threads created for DW use.
  * Fixed some memory leaks.

