=== debian/control ===
Source: dwindows
Section: devel
Priority: optional
Maintainer: Mark Hessling <mark@rexx.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: dwindows
Architecture: any
Depends: ${shlibs:Depends}
Description: Dynamic Windows is a lightweight GUI API for C.
 dwindows provides a high-level wrapper over GTK+ to provide
 a simple, lightweight GUI hiding some of the complexity of GTK+.
 It provides the same API for GTK+, native Windows, MacOS X and OS/2.
